Subject: Re: [NNTP] New draft for LIST additions (-02)

From: Julien ÉLIE <[email-masked]>
Date: Tue, 9 Feb 2010 22:30:05 +0100

Hi all,

> Text version:
>    http://www.ietf.org/internet-drafts/draft-elie-nntp-list-additions-02.txt
>
> HTML version:
>    http://iulius.dinauz.org/draft-elie-nntp-list-additions-02.html

We plan on releasing a new version of INN in March.

Can we advertise the COUNTS, DISTRIBUTIONS, MODERATORS, MOTD and SUBSCRIPTIONS
variants of the LIST command?  I believe the description of these commands
are stable and won't change from what is already specified in the above draft.
Therefore, it should not hurt if we advertise them even though they are currently
described only in this Internet-Draft.

Another question:  can we implement the "Y" and "M" status fields?  Do you
have any objection about them?
It will allow to have all possible cases regarding how an article should
be handled.

   The following table summarizes what usually happens to an article
   posted to only the newsgroup "foo.bar", depending on its status field
   on the news server:

   +--------------+-----------+------------+------------+--------------+
   | Status field | Accepted  | Accepted   | Moderation | Destination  |
   | of "foo.bar" | if local  | from       | needed?    | if accepted? |
   |              | posting?  | peers?     |            |              |
   +--------------+-----------+------------+------------+--------------+
   | y            | Yes       | Yes        | No         | foo.bar      |
   | n            | No        | Yes        | No         | foo.bar      |
   | m            | Yes       | Yes        | Yes        | foo.bar      |
   | Y            | Yes       | No         | No         | foo.bar      |
   | M            | Yes       | No         | Yes        | foo.bar      |
   | x            | No        | No         | No         |              |
   | j            | No        | Yes        | No         | junk (if     |
   |              |           |            |            | filed)       |
   | =other.group | No        | Yes        | No         | other.group  |
   +--------------+-----------+------------+------------+--------------+

Last questions:  are there any other remarks on this draft?  and can I try
to submit it to the RFC Editor according to the independent submission stream
process?

-- 
Julien ÉLIE

« Il n'y a pas moyen de contenter ceux qui veulent savoir le pourquoi
  des pourquoi. » (Leibniz)